{{- range $key, $app := .Values.apps }}
{{- if $app.enabled }}
{{- $branchsubdomain := print $.Values.global.shortNameEnv "." }}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: {{ $.Release.Namespace }}-{{ $key }}
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
  annotations:
    argocd.argoproj.io/sync-wave: {{ .syncWave | default "0" | quote }}
spec:
  destination:
    namespace: {{ $.Release.Namespace }}
    server: https://kubernetes.default.svc
  project: default
  source:
    path: {{ $app.repoPath }}
    repoURL: {{ $.Values.global.source.repoURL }}
    targetRevision: {{ $.Values.global.source.targetRevision }}
    helm:
        releaseName: {{ $key }}
        parameters:
          - name: image.repository
            value: {{ ($app.image).repository }}
          - name: image.tag
            value: {{ ($app.image).tag }}
          - name: imageDatabase.repository
            value: {{ (($app).imageDatabase).repository }}
          - name: imageDatabase.tag
            value: {{ (($app).imageDatabase).tag }}
          - name: sharedEnvironment
            value: {{ $.Values.global.sharedEnvironment }}
          - name: ingressDomain
            value: {{ $.Values.global.ingressDomain }}
          - name: rootEnvironment
            value: {{ $.Values.global.rootEnvironment }}
          - name: shortNameEnv
            value: {{ $.Values.global.shortNameEnv }}
          - name: branchSubdomain
            value:  {{ ternary $branchsubdomain "" $.Values.global.branchingEnabled }}
          - name: traefikForwardAuthEnabled
            value:  "{{ $.Values.global.traefikForwardAuthEnabled }}"
          - name: cronJobResetDB
            value:  "{{ $.Values.global.cronJobResetDB | default "false" }}"

  syncPolicy:
    automated:
      #selfHeal: true
      prune: true
      allowEmpty: true
    #syncOptions:
    #  - CreateNamespace=true
---
{{- end }}
{{- end }}